### Method

# GLib VariantType is_subtype_of

since: 2.24

#### Declaration

    gboolean
    g_variant_type_is_subtype_of (
      const GVariantType* type,
      const GVariantType* supertype
    )

#### Description

Checks if `type` is a subtype of `supertype`.

This function returns `TRUE` if `type` is a subtype of `supertype`. All types are considered to be subtypes of themselves. Aside from that, only indefinite types can have subtypes.

Available since: 2.24

#### Parameters

`supertype`

  Type: `GVariantType`

  A `GVariantType`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `type` is a subtype of `supertype`

Since 2.24